🔗 REST APIExchange Rates
Timeseries data
Get the historical exchange rates between two assets in the form of the timeseries.
Authorization<token>
API Key is required to access the endpoints
In: header
Path Parameters
asset_id_base*string
Requested exchange rates base asset identifier (from the Metadata -> Assets)
asset_id_quote*string
Requested exchange rates base asset identifier (from the Metadata -> Assets)
Query Parameters
period_id?string
Identifier of requested timeseries period (required, e.g. 5SEC or 1HRS)
time_start?string
Timeseries starting time in ISO 8601 (required)
time_end?string
Timeseries ending time in ISO 8601 (required)
limit?integer
Amount of items to return (optional, mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)
Format
int32Default
100Response Body
curl -X GET "https://example.com/v1/exchangerate/string/string/history"[ { "time_period_start": "2016-01-01T00:00:00.0000000Z", "time_period_end": "0001-01-01T00:00:00.0000000Z", "time_open": "2016-01-01T00:00:00.0000000Z", "time_close": "2016-01-01T00:00:00.0000000Z", "rate_open": 430.586617904731, "rate_high": 430.586617904731, "rate_low": 430.586617904731, "rate_close": 430.586617904731 }, { "time_period_start": "2016-01-01T00:01:00.0000000Z", "time_period_end": "2016-01-01T00:02:00.0000000Z", "time_open": "2016-01-01T00:01:00.0000000Z", "time_close": "2016-01-01T00:01:00.0000000Z", "rate_open": 430.38999999999993, "rate_high": 430.38999999999993, "rate_low": 430.38999999999993, "rate_close": 430.38999999999993 }, { "time_period_start": "2016-01-01T00:02:00.0000000Z", "time_period_end": "2016-01-01T00:03:00.0000000Z", "time_open": "2016-01-01T00:02:00.0000000Z", "time_close": "2016-01-01T00:02:00.0000000Z", "rate_open": 430.6522189770523, "rate_high": 430.6522189770523, "rate_low": 430.6522189770523, "rate_close": 430.6522189770523 }]